import 'package:rec_api_dart/src/entities/account.ent.dart';
import 'package:rec_api_dart/src/entities/entity.base.dart';
import 'package:rec_api_dart/src/mixins/localized.mixin.dart';

class Activity extends Entity with Localized {
  static bool areEquals(Activity? a, Activity? b) {
    return a != null && b != null && a.id == b.id;
  }

  String name;
  String nameEs;
  String nameCa;
  String? description;
  String? status;
  List<Account> defaultConsumingProducts = [];
  List<Account> defaultProducingProducts = [];

  Activity({
    String? id,
    String? createdAt,
    String? updatedAt,
    required this.name,
    required this.nameEs,
    required this.nameCa,
    this.description,
    this.status,
    this.defaultConsumingProducts = const [],
    this.defaultProducingProducts = const [],
  }) : super(id, createdAt, updatedAt);

  factory Activity.fromJson(Map<String, dynamic> json) {
    return Activity(
      id: '${json['id']}',
      createdAt: json['created'],
      updatedAt: json['updated'],
      name: json['name'],
      nameEs: json['name_es'],
      nameCa: json['name_ca'],
      description: json['description'],
      status: json['status'],
    );
  }

  @override
  Map<String, dynamic> toJson() {
    return {};
  }
}
