import 'package:http/http.dart';
import 'package:rec_api_dart/src/api_paths.dart';
import 'package:rec_api_dart/src/entities/badge.ent.dart';
import 'package:rec_api_dart/src/env.base.dart';
import 'package:rec_api_dart/src/interceptors/user_token_interceptor.dart';
import 'package:rec_api_dart/src/interfaces/api_list_response.dart';
import 'package:rec_api_dart/src/services/base_service.dart';

class BadgesService extends ServiceBase {
  BadgesService({required EnvBase env, Client? client})
      : super(
          env: env,
          client: client,
          interceptors: [UserTokenInterceptor()],
        );

  /// List all [Badge] for the authenticated user
  Future<ApiListResponse<Badge>> list([Map<String, String>? queryParams = const {}]) {
    final uri = ApiPaths.badges.withQueryParams(queryParams).asUri(env.API_URL);

    return this.get(uri).then(_mapBadges);
  }

  ApiListResponse<Badge> _mapBadges(Map<String, dynamic> data) {
    return ApiListResponse.fromJson(
      data['data'],
      mapper: (el) => Badge.fromJson(el),
    );
  }
}
