import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/auth.dart';

import 'mocks/storage_mock.dart';

void main() {
  final mockStorage = StorageMock();
  Auth.storage = mockStorage;

  test('Auth.saveAccessToken works', () async {
    await Auth.saveAccessToken('fake_token');
    expect(await Auth.getAccessToken(), 'fake_token');
  });

  test('Auth.saveRefreshToken works', () async {
    await Auth.saveRefreshToken('fake_token');
    expect(await Auth.getRefreshToken(), 'fake_token');
  });

  test('Auth.saveAppToken works', () async {
    await Auth.saveAppToken('fake_token');
    expect(await Auth.getAppToken(), 'fake_token');
  });

  test('Auth.saveTokenExpireDate works', () async {
    await Auth.saveTokenExpireDate(3600);
    final rawDate = await Auth.getTokenExpireDate();
    final parsedDate = DateTime.tryParse(rawDate ?? '');

    expect(parsedDate is DateTime, true);
    expect(parsedDate is DateTime, true);
  });
}
