import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/configuration_settings.ent.dart';

void main() {
  test('ConfigurationSetting.fromJson does not throw', () async {
    buildConfig() => ConfigurationSettings.fromJson({
          "total": 4,
          "elements": [
            {
              "id": 4,
              "created": "2022-05-26T13:20:04+00:00",
              "updated": "2022-05-26T13:20:04+00:00",
              "scope": "badges",
              "name": "max_qualifications",
              "value": "5"
            },
            {
              "id": 3,
              "created": "2022-05-26T13:20:04+00:00",
              "updated": "2022-05-26T13:20:04+00:00",
              "scope": "badges",
              "name": "min_qualifications",
              "value": "5"
            },
            {
              "id": 2,
              "created": "2022-05-26T13:20:04+00:00",
              "updated": "2022-05-26T13:20:04+00:00",
              "scope": "badges",
              "name": "threshold",
              "value": "0.5"
            },
            {
              "id": 1,
              "created": "2022-05-26T13:20:04+00:00",
              "updated": "2022-05-26T13:20:04+00:00",
              "scope": "qualifications",
              "name": "qualifications_system_status",
              "value": "disabled"
            }
          ]
        });

    expect(buildConfig, isNot(throwsA(anything)));
  });

  test('ConfigurationSetting.fromJson adds to list of settings', () async {
    final config = ConfigurationSettings.fromJson({
      "total": 4,
      "elements": [
        {
          "id": 4,
          "created": "2022-05-26T13:20:04+00:00",
          "updated": "2022-05-26T13:20:04+00:00",
          "scope": "badges",
          "name": "max_qualifications",
          "value": "5"
        },
        {
          "id": 3,
          "created": "2022-05-26T13:20:04+00:00",
          "updated": "2022-05-26T13:20:04+00:00",
          "scope": "badges",
          "name": "min_qualifications",
          "value": "5"
        },
        {
          "id": 2,
          "created": "2022-05-26T13:20:04+00:00",
          "updated": "2022-05-26T13:20:04+00:00",
          "scope": "badges",
          "name": "threshold",
          "value": "0.5"
        },
        {
          "id": 1,
          "created": "2022-05-26T13:20:04+00:00",
          "updated": "2022-05-26T13:20:04+00:00",
          "scope": "qualifications",
          "name": "qualifications_system_status",
          "value": "disabled"
        }
      ]
    });

    expect(config.settings.length, 4);
    expect(config.settingsMap.length, 4);
    expect(config.settingsMap['max_qualifications']?.name, 'max_qualifications');
  });
}
