import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/transactions/currency.ent.dart';
import 'package:rec_api_dart/src/entities/transactions/payment_result.dart';

void main() {
  test('PaymentResult with reward ', () async {
    final data = PaymentResult.fromJson({
      'pay_out_info': {
        'concept': 'test',
        'name_sender': 'test',
        'amount': 1000,
        'received': 1000,
      },
      'extra_data': {
        'rewarded_ltab': 100000000,
      },
      'status': 'test',
      'message': 'test',
      'currency': 'rec',
      'amount': 1000,
    });
    expect(data.status, 'test');
    expect(data.message, 'test');
    expect(data.amount, 1000);
    expect(data.currency, Currency.rec);
    expect(data.hasBeenRewarded(), true);
    expect(data.toJson(), {
      'id': null,
      'status': 'test',
      'amount': 1000.0,
      'scale': null,
      'message': 'test',
      'currency': Currency.rec,
    });
  });

  test('PaymentResult without reward', () async {
    final data = PaymentResult.fromJson({
      'pay_out_info': {
        'concept': 'test',
        'name_sender': 'test',
        'amount': 1000,
        'received': 1000,
      },
      'status': 'test',
      'message': 'test',
      'currency': 'rec',
      'amount': 1000,
    });
    expect(data.status, 'test');
    expect(data.message, 'test');
    expect(data.amount, 1000);
    expect(data.currency, Currency.rec);
    expect(data.hasBeenRewarded(), false);
  });
}
